<?php

return [

    /**
     * OAuth model
     */
    'model' => \App\Models\User::class,

    /**
     * Route that redirects to Bluesquare Connect
     */
    'login_url' => '/connect/authorize',

    /**
     * Use post-login remember cookie
     */
    'login_remember' => true,

    /**
     * OAuth callback URL
     */
    'redirect_url' => env('BCONNECT_REDIRECT', 'http://localhost:8000/connect/callback'),

    /**
     * OAuth client identifiers
     */
    'client_id' => env('BCONNECT_CLIENT_ID', null),
    'client_secret' => env('BCONNECT_CLIENT_SECRET', null),

    /**
     * OAuth scopes (separated with commas)
     */
    'user_scopes' => env('BCONNECT_USER_SCOPES', '*'),
    'client_scopes' => env('BCONNECT_CLIENT_SCOPES', '*'),

    /**
     * Bluesquare Connect URL
     */
    'url' => env('BCONNECT_URL', null),
];
